{% extends "users/userspace.html" %}

{% block content %}
    <section class="container py-5">
        <h1 class="text-center">Connexion</h1>

        {% if form.errors %}
            <div class="alert alert-danger col-6 mx-auto my-4" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

        <form action="" method="post" class="col-lg-6 col-md-9 col-12 card px-5 py-4 mx-auto my-4">
            {% csrf_token %}

            <div class="mb-3">
                <label for="{{ form.username.id_for_label }}" class="form-label">
                    {{ form.username.label }}
                </label>

                {{ form.username }}

                <div class="form-text"></div>
            </div>

            <div class="mb-3">
                <label for="{{ form.password.id_for_label }}" class="form-label">
                    {{ form.password.label }}
                </label>

                {{ form.password }}

                <div class="form-text mt-2">
                    <a href="{% url 'password_reset' %}">
                        Mot de passe oublié ?
                    </a>
                </div>
            </div>

            <button type="submit" class="btn btn-primary mt-3">Connexion</button>
            <input type="hidden" name="next" value="{{ next }}"/>
        </form>
    </section>
{% endblock %}